You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@lucene.apache.org by us...@apache.org on 2010/10/26 15:33:18 UTC

svn commit: r1027548 - /lucene/dev/nightly/hudson-settings.sh

Author: uschindler
Date: Tue Oct 26 13:33:18 2010
New Revision: 1027548

URL: http://svn.apache.org/viewvc?rev=1027548&view=rev
Log:
special case for branches

Modified:
    lucene/dev/nightly/hudson-settings.sh

Modified: lucene/dev/nightly/hudson-settings.sh
URL: http://svn.apache.org/viewvc/lucene/dev/nightly/hudson-settings.sh?rev=1027548&r1=1027547&r2=1027548&view=diff
==============================================================================
--- lucene/dev/nightly/hudson-settings.sh (original)
+++ lucene/dev/nightly/hudson-settings.sh Tue Oct 26 13:33:18 2010
@@ -27,9 +27,16 @@ JAVADOCS_ARTIFACTS=$WORKSPACE/javadocs
 #do some checks that are common to all build scripts:
 set +x
 
+if [ -z "$IGNORE_NOCOMMITS" ]; then
+  echo "Checking for files containing nocommit (exits build with failure if list is non-empty):"
+  set -e
+else
+  echo "Checking for files containing nocommit:"
+  set +e
+fi
 cd $WORKSPACE/$ROOT_DIR
-echo "Checking for files containing nocommit (exits build with failure if list is non-empty):"
 (! find . -name '*.java' | grep -v '/backwards/' | xargs egrep -li -e '\bno(n|)commit\b')
 cd $WORKSPACE
+set -e
 
 set -x